---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libsuspendthrdlst002.dylib'
relocations:
  - { offsetInCU: 0x68, offset: 0x68, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3980, symBinAddr: 0x2A60, symSize: 0x2A0 }
  - { offsetInCU: 0xADE, offset: 0xADE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x52210, symBinAddr: 0x8200, symSize: 0x0 }
  - { offsetInCU: 0xB05, offset: 0xB05, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x54150, symBinAddr: 0xA140, symSize: 0x0 }
  - { offsetInCU: 0xB27, offset: 0xB27, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x54540, symBinAddr: 0xA530, symSize: 0x0 }
  - { offsetInCU: 0xB49, offset: 0xB49, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x554E0, symBinAddr: 0xB4D0, symSize: 0x0 }
  - { offsetInCU: 0xB5E, offset: 0xB5E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x554F0, symBinAddr: 0xB4E0, symSize: 0x0 }
  - { offsetInCU: 0xBD9, offset: 0xBD9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x51E90, symBinAddr: 0x80B0, symSize: 0x0 }
  - { offsetInCU: 0xBE4, offset: 0xBE4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x51E94, symBinAddr: 0x80B4, symSize: 0x0 }
  - { offsetInCU: 0xBEF, offset: 0xBEF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x51E98, symBinAddr: 0x80B8, symSize: 0x0 }
  - { offsetInCU: 0xC34, offset: 0xC34, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x51FE0, symBinAddr: 0x80C0, symSize: 0x0 }
  - { offsetInCU: 0xCAD, offset: 0xCAD, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x52098, symBinAddr: 0x8178, symSize: 0x0 }
  - { offsetInCU: 0xCCB, offset: 0xCCB, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5209C, symBinAddr: 0x817C, symSize: 0x0 }
  - { offsetInCU: 0xCE4, offset: 0xCE4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x520A0, symBinAddr: 0x8180, symSize: 0x0 }
  - { offsetInCU: 0xCFD, offset: 0xCFD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x520A4, symBinAddr: 0x8184, symSize: 0x0 }
  - { offsetInCU: 0xD16, offset: 0xD16, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x520A8, symBinAddr: 0x8188, symSize: 0x0 }
  - { offsetInCU: 0x9305, offset: 0x9305, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x520B0, symBinAddr: 0x8190, symSize: 0x0 }
  - { offsetInCU: 0x938E, offset: 0x938E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x520C0, symBinAddr: 0x81A0, symSize: 0x0 }
  - { offsetInCU: 0x93A7, offset: 0x93A7, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x520C8, symBinAddr: 0x81A8, symSize: 0x0 }
  - { offsetInCU: 0x93C0, offset: 0x93C0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x520D0, symBinAddr: 0x81B0, symSize: 0x0 }
  - { offsetInCU: 0x93D9, offset: 0x93D9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x520D8, symBinAddr: 0x81B8, symSize: 0x0 }
  - { offsetInCU: 0x93F2, offset: 0x93F2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x520E0, symBinAddr: 0x81C0, symSize: 0x0 }
  - { offsetInCU: 0x940C, offset: 0x940C, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x520E8, symBinAddr: 0x81C8, symSize: 0x0 }
  - { offsetInCU: 0x94F2, offset: 0x94F2, size: 0x8, addend: 0x0, symName: __ZL12threadsCount, symObjAddr: 0x5212C, symBinAddr: 0x81DC, symSize: 0x0 }
  - { offsetInCU: 0x950B, offset: 0x950B, size: 0x8, addend: 0x0, symName: __ZL7threads, symObjAddr: 0x52130, symBinAddr: 0x81E0, symSize: 0x0 }
  - { offsetInCU: 0x9524, offset: 0x9524, size: 0x8, addend: 0x0, symName: __ZL14eventsReceived, symObjAddr: 0x52138, symBinAddr: 0x81E8, symSize: 0x0 }
  - { offsetInCU: 0x953D, offset: 0x953D, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x52140, symBinAddr: 0x81F0, symSize: 0x0 }
  - { offsetInCU: 0x9556, offset: 0x9556, size: 0x8, addend: 0x0, symName: __ZL10eventsList, symObjAddr: 0xED58, symBinAddr: 0x80A8, symSize: 0x0 }
  - { offsetInCU: 0x95DE, offset: 0x95DE, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x15C0, symSize: 0x80 }
  - { offsetInCU: 0x9673, offset: 0x9673, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x1510, symSize: 0xB0 }
  - { offsetInCU: 0x96CE, offset: 0x96CE, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x1410, symSize: 0x100 }
  - { offsetInCU: 0x9961, offset: 0x9961, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x1640, symSize: 0xC0 }
  - { offsetInCU: 0x99B3, offset: 0x99B3, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x1700, symSize: 0x220 }
  - { offsetInCU: 0x9B98, offset: 0x9B98, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1920, symSize: 0xA0 }
  - { offsetInCU: 0x9C4B, offset: 0x9C4B, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x19C0, symSize: 0x110 }
  - { offsetInCU: 0x9D41, offset: 0x9D41, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1AD0, symSize: 0x150 }
  - { offsetInCU: 0x9E9E, offset: 0x9E9E, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1C20, symSize: 0x30 }
  - { offsetInCU: 0x9FD7, offset: 0x9FD7, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x1C50, symSize: 0x150 }
  - { offsetInCU: 0xA1CF, offset: 0xA1CF, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1DA0, symSize: 0x160 }
  - { offsetInCU: 0xA48F, offset: 0xA48F, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2220, symBinAddr: 0x1F00, symSize: 0x4A0 }
  - { offsetInCU: 0xA728, offset: 0xA728, size: 0x8, addend: 0x0, symName: _nsk_jvmti_findOptionIntValue, symObjAddr: 0x27E0, symBinAddr: 0x23A0, symSize: 0xE0 }
  - { offsetInCU: 0xA7E8, offset: 0xA7E8, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x2480, symSize: 0x1B0 }
  - { offsetInCU: 0xAA03, offset: 0xAA03, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x2630, symSize: 0xA0 }
  - { offsetInCU: 0xAAFE, offset: 0xAAFE, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x26D0, symSize: 0x20 }
  - { offsetInCU: 0xAB35, offset: 0xAB35, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x26F0, symSize: 0x20 }
  - { offsetInCU: 0xAB6C, offset: 0xAB6C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x2710, symSize: 0x20 }
  - { offsetInCU: 0xAC45, offset: 0xAC45, size: 0x8, addend: 0x0, symName: _nsk_jvmti_setFailStatus, symObjAddr: 0x35A0, symBinAddr: 0x2730, symSize: 0x40 }
  - { offsetInCU: 0xACFC, offset: 0xACFC, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x2770, symSize: 0x1A0 }
  - { offsetInCU: 0xB018, offset: 0xB018, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x37B0, symBinAddr: 0x2910, symSize: 0x150 }
  - { offsetInCU: 0xB1D5, offset: 0xB1D5, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x2D00, symSize: 0x1D0 }
  - { offsetInCU: 0xB4D1, offset: 0xB4D1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x2ED0, symSize: 0x80 }
  - { offsetInCU: 0xB59A, offset: 0xB59A, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x2F50, symSize: 0x6C0 }
  - { offsetInCU: 0xC110, offset: 0xC110, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xABD0, symBinAddr: 0x4CD0, symSize: 0xB0 }
  - { offsetInCU: 0xC187, offset: 0xC187, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x3610, symSize: 0x70 }
  - { offsetInCU: 0xC243, offset: 0xC243, size: 0x8, addend: 0x0, symName: _nsk_jvmti_enableEvents, symObjAddr: 0x5190, symBinAddr: 0x3680, symSize: 0xF0 }
  - { offsetInCU: 0xC377, offset: 0xC377, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x3770, symSize: 0xA0 }
  - { offsetInCU: 0xC482, offset: 0xC482, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x3810, symSize: 0x40 }
  - { offsetInCU: 0xC578, offset: 0xC578, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x3850, symSize: 0x2B0 }
  - { offsetInCU: 0xC91E, offset: 0xC91E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x3B00, symSize: 0xC0 }
  - { offsetInCU: 0xCA64, offset: 0xCA64, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x3BC0, symSize: 0x10 }
  - { offsetInCU: 0xCB26, offset: 0xCB26, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x3BD0, symSize: 0x240 }
  - { offsetInCU: 0xCE0F, offset: 0xCE0F, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x3E10, symSize: 0x10 }
  - { offsetInCU: 0xCE6C, offset: 0xCE6C, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x3E20, symSize: 0x2F0 }
  - { offsetInCU: 0xD1F6, offset: 0xD1F6, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA010, symBinAddr: 0x4110, symSize: 0x10 }
  - { offsetInCU: 0xD27F, offset: 0xD27F, size: 0x8, addend: 0x0, symName: _callbackThreadEnd, symObjAddr: 0xA020, symBinAddr: 0x4120, symSize: 0xB0 }
  - { offsetInCU: 0xD467, offset: 0xD467, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA0D0, symBinAddr: 0x41D0, symSize: 0xB00 }
  - { offsetInCU: 0xDFE7, offset: 0xDFE7, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xAC80, symBinAddr: 0x4D80, symSize: 0x36A }
...
